FROM registry.yaltik.net/odoo:yaltik10
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

# Install local LibreOffice for better conversion and supported types (bpo version)
USER root
# Remove inexisting source
RUN sed -i -- 's/deb http:\/\/deb.debian.org\/debian jessie-updates main/# deb http:\/\/deb.debian.org\/debian jessie-updates main/g' /etc/apt/sources.list && \
      apt-get update && \
      apt-get install -y fonts-liberation && \
      apt-get install --no-install-recommends -y libreoffice libreoffice-calc libreoffice-writer && \
      apt-get clean && rm -rf /var/lib/apt/lists/*

# Addons dependencies
USER odoo
RUN pip install --no-cache-dir --user py3o.template==0.10.0 py3o.formats==0.3

WORKDIR /opt/odoo
